org.icefaces.ace.api

## Interface IceClientBehaviorHolder

- All Superinterfaces:
    javax.faces.component.behavior.ClientBehaviorHolder
  All Known Implementing Classes:
    Accordion, AccordionBase, ACEList, AutoCompleteEntry, AutoCompleteEntryBase, Chart, ChartBase, CheckboxButton, CheckboxButtonBase, ComboBox, ComboBoxBase, DataExporter, DataExporterBase, DataTable, DataTableBase, DateTimeEntry, DateTimeEntryBase, Dialog, DialogBase, Draggable, DraggableBase, DrawerPanel, DrawerPanelBase, Droppable, DroppableBase, LinkButton, LinkButtonBase, ListBase, ListExporter, ListExporterBase, MaskedEntry, MaskedEntryBase, MenuItem, MenuItemBase, NotificationPanel, NotificationPanelBase, Panel, PanelBase, Printer, PrinterBase, ProgressBar, ProgressBarBase, PushButton, PushButtonBase, RadioButton, RadioButtonBase, Resizable, ResizableBase, RichTextEntry, RichTextEntryBase, SelectMenu, SelectMenuBase, SimpleSelectOneMenu, SimpleSelectOneMenuBase, SliderEntry, SliderEntryBase, Submenu, SubmenuBase, TableConfigPanel, TableConfigPanelBase, TabSet, TabSetBase, TextAreaEntry, TextAreaEntryBase, TextEntry, TextEntryBase, ThemeSelect, ThemeSelectBase, Tooltip, TooltipBase, Tree, TreeBase

      public interface IceClientBehaviorHolder
      extends javax.faces.component.behavior.ClientBehaviorHolder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDefaultExecute(java.lang.String event)`
    `java.lang.String` | `getDefaultRender(java.lang.String event)`
    `java.lang.String` | `getListenerArgument(java.lang.String event)`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors, getDefaultEventName, getEventNames`

- - ### Method Detail

    - #### getDefaultRender

          java.lang.String getDefaultRender(java.lang.String event)

    - #### getDefaultExecute

          java.lang.String getDefaultExecute(java.lang.String event)

    - #### getListenerArgument

          java.lang.String getListenerArgument(java.lang.String event)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.